View a markdown version of this page

GetAnalysisLogExport - AWS Clean Rooms

GetAnalysisLogExport

Returns information about an analysis log export, including its current status and, if the export failed, the reason for the failure.

Poll this operation until the status is SUCCESS or FAILED. An export can't be canceled after it starts.

Request Syntax

GET /memberships/membershipIdentifier/analysislogexports/analysisLogExportIdentifier HTTP/1.1

URI Request Parameters

The request uses the following URI parameters.

analysisLogExportIdentifier

The unique identifier of the analysis log export to retrieve.

Length Constraints: Fixed length of 36.

Pattern: [0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}

Required: Yes

membershipIdentifier

A unique identifier for the membership that the analysis log export belongs to. Currently accepts the membership ID.

Length Constraints: Fixed length of 36.

Pattern: [0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}

Required: Yes

Request Body

The request does not have a request body.

Response Syntax

HTTP/1.1 200 Content-type: application/json { "analysisLogExport": { "analysisId": "string", "analysisLogExportId": "string", "analysisType": "string", "createTime": number, "error": { "code": "string", "message": "string" }, "membershipId": "string", "resultConfiguration": { "outputConfiguration": { "s3": { "bucket": "string", "keyPrefix": "string" } } }, "status": "string", "updateTime": number } }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

analysisLogExport

The analysis log export processing metadata.

Type: AnalysisLogExport object

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

Caller does not have sufficient access to perform this action.

reason

A reason code for the exception.

HTTP Status Code: 403

InternalServerException

Unexpected error during processing of request.

HTTP Status Code: 500

ResourceNotFoundException

Request references a resource which does not exist.

resourceId

The Id of the missing resource.

resourceType

The type of the missing resource.

HTTP Status Code: 404

ThrottlingException

Request was denied due to request throttling.

HTTP Status Code: 429

ValidationException

The input fails to satisfy the specified constraints.

fieldList

Validation errors for specific input parameters.

reason

A reason code for the exception.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: